[pypy-svn] pypy default: Re-enable geninterp. For me, running "translate.py -O2" crashes

arigo commits-noreply at bitbucket.org
Tue Feb 1 15:07:43 CET 2011

Author: Armin Rigo <arigo at tunes.org>
Changeset: r41522:cf0bdb323fec
Date: 2011-02-01 15:07 +0100

Log:	Re-enable geninterp. For me, running "translate.py -O2" crashes
	without it.

diff --git a/pypy/config/pypyoption.py b/pypy/config/pypyoption.py
--- a/pypy/config/pypyoption.py
+++ b/pypy/config/pypyoption.py
@@ -166,7 +166,7 @@
                suggests=[("objspace.allworkingmodules", False)]),
     BoolOption("geninterp", "specify whether geninterp should be used",
-               default=False),
+               default=True),
                "keep track of bytecode usage",

More information about the Pypy-commit mailing list